Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.openworklabs.com/v1/workers/{id} \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>" } '
{ "worker": { "id": "<string>", "orgId": "<string>", "createdByUserId": "<string>", "isMine": true, "name": "<string>", "description": "<string>", "destination": "<string>", "status": "<string>", "imageVersion": "<string>", "workspacePath": "<string>", "sandboxBackend": "<string>", "lastHeartbeatAt": "2023-11-07T05:31:56Z", "lastActiveAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Renames a worker, but only when the caller is the user who originally created that worker.
Den TypeID with 'wrk_' prefix and a 26-character base32 suffix.
30
^wrk_.*
1 - 255
Worker updated successfully.
Show child attributes
Was this page helpful?